package vsl.gui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/*
 * Allgemeine Oberklasse zur Erzeugung von Datenflusskomponenten.
 */
public class ComponentCreator extends JInternalFrame
{

  JButton addButton;

  public ComponentCreator( String title )
  {
    super(title);
    getContentPane().setLayout( new BorderLayout() );
    addButton = new JButton( "Add" );
    getContentPane().add( addButton, BorderLayout.SOUTH );
  }

  public JButton getAddButton()
  {
    return addButton;
  }

  public void addActionListener( ActionListener listener )
  {
    addButton.addActionListener(listener);
  }

}