package vsl.gui;

import javax.swing.*;

import vsl.lang.*;


public class DiagramSelector extends JTabbedPane
{
  JComboBox boxes[];

  public DiagramSelector()
  {
    int n = Diagram.catCount;
    boxes = new JComboBox[n];
    for ( int i = 0; i < n; i++ )
    {
      boxes[i] = new JComboBox( Diagram.getDiagram( i ) );
      addTab( Diagram.getCategory( i ), boxes[i] );
    }
  }

  public Diagram getDiagram()
  {
    return ( Diagram ) ( ( ( JComboBox ) getSelectedComponent() ).getSelectedItem() );
  }

}