package vsl.gui;

import java.awt.*;

import vsl.dataflow.*;

public class ImportCreator extends ComponentCreator
{
  ImportPanel importPanel;

  public ImportCreator()
  {
   super("Add Import");
   importPanel = new ImportPanel();
   getContentPane().add( importPanel, BorderLayout.CENTER );
   setResizable( true );
   setSize( 250, 250 );
  }

  public String getName()
  {
    return importPanel.getName();
  }

  public DataFlowSourceAnchor getImport()
  {
    return importPanel.getImport();
  }



}