package vsl.dataflow.util;

import java.util.*;

import vsl.dataflow.*;

public class DataFlowDistanceComparator implements Comparator
{
  public DataFlowDistanceComparator()
  {
  }

  public int compare( Object o1, Object o2 )
  {
    return compare( ( DataFlowNode ) o1, ( DataFlowNode ) o2 );
  }

  public int compare( DataFlowNode n1, DataFlowNode n2 )
  {
    if ( n1.getMaxDistance() < n2.getMaxDistance() )
    {
      return -1;
    }
    else if ( n1.getMaxDistance() == n2.getMaxDistance() )
    {
      return 0;
    }
    else
    {
      return 1;
    }
  }

  public boolean equals( Object obj )
  {
    return false;
  }

}