package vsl.gui;

import java.awt.*;

import vsl.dataflow.*;


public class ExportCreator extends ComponentCreator
{
  ExportPanel exportPanel;

  public ExportCreator()
  {
   super("Add Export");
   exportPanel = new ExportPanel();
   getContentPane().add( exportPanel, BorderLayout.CENTER );
   setResizable( true );
   setSize( 250, 250 );
  }

  public String getName()
  {
    return exportPanel.getName();
  }

  public DataFlowDestinationAnchor getExport()
  {
    return exportPanel.getExport();
  }



}