package vsl.gui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

import vsl.dataflow.*;


public class FunctionPanel extends JPanel implements ActionListener
{

  JButton addButton;
  JComboBox classComboBox;
  JComboBox functionComboBox;

  FunctionSelector selector;

  DataFlowCanvas canvas;

  public FunctionPanel(DataFlowCanvas canvas)
  {
    this.canvas = canvas;
    setLayout( new BorderLayout());
    selector = new FunctionSelector();
    add(selector, BorderLayout.CENTER);
    addButton = new JButton( "add" );
    addButton.addActionListener(this);
    add(addButton , BorderLayout.SOUTH);
  }

  public void actionPerformed( ActionEvent e )
  {

    Object source = e.getSource();
    if( source == addButton )
    {
      canvas.addFunctionNode( selector.getFunction() );
    }

  }

}