package vsl.gui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

import vsl.dataflow.*;


public class OperatorPanel extends JPanel implements ActionListener
{

  JButton addButton;
  JComboBox classComboBox;
  JComboBox operatorComboBox;

  DataFlowCanvas canvas;
  OperatorSelector selector;

  public OperatorPanel(DataFlowCanvas canvas)
  {
   this.canvas = canvas;
   setLayout( new BorderLayout() );
   selector = new OperatorSelector();
   add(selector, BorderLayout.CENTER);
   addButton = new JButton( "add" );
   addButton.addActionListener(this);
   add(addButton, BorderLayout.SOUTH);

  }

  public void actionPerformed( ActionEvent e )
  {
    Object source = e.getSource();
    if( source == addButton )
    {
      canvas.addOperatorNode( selector.getOperator() );
    }


  }

}
