package vsl.gui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/*
 * Klasse um den Preview auf der Arbeitsflche zu platzieren.
 */
public class PreviewInternalFrame extends JInternalFrame implements ComponentListener
{

  PreviewCanvas preview;

  public PreviewInternalFrame()
  {
    frameInit();
  }

  public void frameInit()
  {
    setVisible( true );
    addComponentListener( this );
    preview = new PreviewCanvas( 350, 370  );
    getContentPane().add( preview );
    pack();
    setResizable(true);
  }

  public PreviewCanvas getPreview()
  {
    return preview;
  }

  public void componentHidden(ComponentEvent e)
  {
  }

  public void componentMoved(ComponentEvent e)
  {
  }

  public void componentResized(ComponentEvent e)
  {
    if ( getWidth() != getHeight()-20 )
    {
      setSize( getHeight()-20, getHeight() );
    }
  }

  public void componentShown(ComponentEvent e)
  {
  }

}