package vsl.gui;

import java.awt.*;

import vsl.lang.*;


public class StateCreator extends ComponentCreator
{

  StateSelector stateSelector;

  public StateCreator()
  {
    super( "Add OpenGL State Node" );
    stateSelector = new StateSelector();
    getContentPane().add( stateSelector, BorderLayout.CENTER );
    pack();
    setResizable( true );
  }

  public StateVariable getState()
  {
    return stateSelector.getState();
  }

}